diff --git a/android/guava-tests/test/com/google/common/collect/AndroidIncompatible.java b/android/guava-tests/test/com/google/common/collect/AndroidIncompatible.java
index 6600c1f..b1dee9d 100644
--- a/android/guava-tests/test/com/google/common/collect/AndroidIncompatible.java
+++ b/android/guava-tests/test/com/google/common/collect/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -37,5 +36,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/android/guava-tests/test/com/google/common/collect/ArrayListMultimapTest.java b/android/guava-tests/test/com/google/common/collect/ArrayListMultimapTest.java
index 08e5ae8..4974e1f 100644
--- a/android/guava-tests/test/com/google/common/collect/ArrayListMultimapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ArrayListMultimapTest.java
@@ -19,8 +19,6 @@ package com.google.common.collect;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
@@ -39,10 +37,9 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class ArrayListMultimapTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
diff --git a/android/guava-tests/test/com/google/common/collect/ArrayTableTest.java b/android/guava-tests/test/com/google/common/collect/ArrayTableTest.java
index b7622c2..1c26a18 100644
--- a/android/guava-tests/test/com/google/common/collect/ArrayTableTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ArrayTableTest.java
@@ -19,8 +19,6 @@ package com.google.common.collect;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Objects;
 import com.google.common.collect.Table.Cell;
 import com.google.common.testing.EqualsTester;
@@ -34,7 +32,6 @@ import java.util.Map;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class ArrayTableTest extends AbstractTableTest {
 
   @Override
@@ -231,7 +228,7 @@ public class ArrayTableTest extends AbstractTableTest {
     }
   }
 
-  @GwtIncompatible // toArray
+  // toArray
   public void testEmptyToArry() {
     ArrayTable<String, String, Character> table =
         ArrayTable.create(Arrays.<String>asList(), Arrays.<String>asList());
@@ -290,7 +287,7 @@ public class ArrayTableTest extends AbstractTableTest {
     SerializableTester.reserializeAndAssert(table);
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNullPointerStatic() {
     new NullPointerTester().testAllPublicStaticMethods(ArrayTable.class);
   }
@@ -452,7 +449,7 @@ public class ArrayTableTest extends AbstractTableTest {
     assertNull(table.erase("bar", null));
   }
 
-  @GwtIncompatible // ArrayTable.toArray(Class)
+  // ArrayTable.toArray(Class)
   public void testToArray() {
     ArrayTable<String, Integer, Character> table =
         create("foo", 1, 'a', "bar", 1, 'b', "foo", 3, 'c');
@@ -519,12 +516,12 @@ public class ArrayTableTest extends AbstractTableTest {
     }
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNulls() {
     new NullPointerTester().testAllPublicInstanceMethods(create());
   }
 
-  @GwtIncompatible // serialize
+  // serialize
   public void testSerializable() {
     SerializableTester.reserializeAndAssert(create());
   }
diff --git a/android/guava-tests/test/com/google/common/collect/Collections2Test.java b/android/guava-tests/test/com/google/common/collect/Collections2Test.java
index 4b87618..9bddb02 100644
--- a/android/guava-tests/test/com/google/common/collect/Collections2Test.java
+++ b/android/guava-tests/test/com/google/common/collect/Collections2Test.java
@@ -23,8 +23,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 import static java.util.Collections.nCopies;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Predicate;
 import com.google.common.collect.testing.CollectionTestSuiteBuilder;
@@ -47,9 +45,8 @@ import junit.framework.TestSuite;
  * @author Chris Povirk
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class Collections2Test extends TestCase {
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite(Collections2Test.class.getSimpleName());
     suite.addTest(testsForFilter());
@@ -86,7 +83,7 @@ public class Collections2Test extends TestCase {
         }
       };
 
-  @GwtIncompatible // suite
+  // suite
   private static Test testsForFilter() {
     return CollectionTestSuiteBuilder.using(
             new TestStringCollectionGenerator() {
@@ -109,7 +106,7 @@ public class Collections2Test extends TestCase {
         .createTestSuite();
   }
 
-  @GwtIncompatible // suite
+  // suite
   private static Test testsForFilterAll() {
     return CollectionTestSuiteBuilder.using(
             new TestStringCollectionGenerator() {
@@ -130,7 +127,7 @@ public class Collections2Test extends TestCase {
         .createTestSuite();
   }
 
-  @GwtIncompatible // suite
+  // suite
   private static Test testsForFilterLinkedList() {
     return CollectionTestSuiteBuilder.using(
             new TestStringCollectionGenerator() {
@@ -153,7 +150,7 @@ public class Collections2Test extends TestCase {
         .createTestSuite();
   }
 
-  @GwtIncompatible // suite
+  // suite
   private static Test testsForFilterNoNulls() {
     return CollectionTestSuiteBuilder.using(
             new TestStringCollectionGenerator() {
@@ -176,7 +173,7 @@ public class Collections2Test extends TestCase {
         .createTestSuite();
   }
 
-  @GwtIncompatible // suite
+  // suite
   private static Test testsForFilterFiltered() {
     return CollectionTestSuiteBuilder.using(
             new TestStringCollectionGenerator() {
@@ -208,7 +205,7 @@ public class Collections2Test extends TestCase {
         }
       };
 
-  @GwtIncompatible // suite
+  // suite
   private static Test testsForTransform() {
     return CollectionTestSuiteBuilder.using(
             new TestStringCollectionGenerator() {
@@ -230,7 +227,7 @@ public class Collections2Test extends TestCase {
         .createTestSuite();
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Collections2.class);
diff --git a/android/guava-tests/test/com/google/common/collect/CompactHashSetTest.java b/android/guava-tests/test/com/google/common/collect/CompactHashSetTest.java
index 0f0216f..03c300d 100644
--- a/android/guava-tests/test/com/google/common/collect/CompactHashSetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/CompactHashSetTest.java
@@ -19,7 +19,6 @@ package com.google.common.collect;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.stream.Collectors.*;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.SetTestSuiteBuilder;
 import com.google.common.collect.testing.TestStringSetGenerator;
 import com.google.common.collect.testing.features.CollectionFeature;
@@ -37,7 +36,7 @@ import junit.framework.TestSuite;
  *
  * @author Dimitris Andreou
  */
-@GwtIncompatible // java.util.Arrays#copyOf(Object[], int), java.lang.reflect.Array
+// java.util.Arrays#copyOf(Object[], int), java.lang.reflect.Array
 public class CompactHashSetTest extends TestCase {
   public static Test suite() {
     List<Feature<?>> allFeatures =
diff --git a/android/guava-tests/test/com/google/common/collect/CompactLinkedHashSetTest.java b/android/guava-tests/test/com/google/common/collect/CompactLinkedHashSetTest.java
index 299503e..12a04b6 100644
--- a/android/guava-tests/test/com/google/common/collect/CompactLinkedHashSetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/CompactLinkedHashSetTest.java
@@ -18,7 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.SetTestSuiteBuilder;
 import com.google.common.collect.testing.TestStringSetGenerator;
 import com.google.common.collect.testing.features.CollectionFeature;
@@ -36,7 +35,7 @@ import junit.framework.TestSuite;
  *
  * @author Dimitris Andreou
  */
-@GwtIncompatible // java.util.Arrays#copyOf(Object[], int), java.lang.reflect.Array
+// java.util.Arrays#copyOf(Object[], int), java.lang.reflect.Array
 public class CompactLinkedHashSetTest extends TestCase {
   public static Test suite() {
     List<Feature<?>> allFeatures =
diff --git a/android/guava-tests/test/com/google/common/collect/ComparatorsTest.java b/android/guava-tests/test/com/google/common/collect/ComparatorsTest.java
index b30cb76..930060a 100644
--- a/android/guava-tests/test/com/google/common/collect/ComparatorsTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ComparatorsTest.java
@@ -19,7 +19,6 @@ package com.google.common.collect;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.EqualsTester;
 import java.util.Collections;
@@ -31,7 +30,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public class ComparatorsTest extends TestCase {
   @SuppressWarnings("unchecked") // dang varargs
   public void testLexicographical() {
diff --git a/android/guava-tests/test/com/google/common/collect/ComparisonChainTest.java b/android/guava-tests/test/com/google/common/collect/ComparisonChainTest.java
index 9a9f98a..bfde573 100644
--- a/android/guava-tests/test/com/google/common/collect/ComparisonChainTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ComparisonChainTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.AssertionFailedError;
 import junit.framework.TestCase;
 
@@ -25,7 +24,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public class ComparisonChainTest extends TestCase {
   private static final DontCompareMe DONT_COMPARE_ME = new DontCompareMe();
 
diff --git a/android/guava-tests/test/com/google/common/collect/ContiguousSetTest.java b/android/guava-tests/test/com/google/common/collect/ContiguousSetTest.java
index 6b19b1e..86cd879 100644
--- a/android/guava-tests/test/com/google/common/collect/ContiguousSetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ContiguousSetTest.java
@@ -28,8 +28,6 @@ import static com.google.common.testing.SerializableTester.reserialize;
 import static com.google.common.testing.SerializableTester.reserializeAndAssert;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.NavigableSetTestSuiteBuilder;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.google.SetGenerators.ContiguousSetDescendingGenerator;
@@ -45,7 +43,6 @@ import junit.framework.TestCase;
 import junit.framework.TestSuite;
 
 /** @author Gregory Kick */
-@GwtCompatible(emulated = true)
 public class ContiguousSetTest extends TestCase {
   private static final DiscreteDomain<Integer> NOT_EQUAL_TO_INTEGERS =
       new DiscreteDomain<Integer>() {
@@ -134,7 +131,7 @@ public class ContiguousSetTest extends TestCase {
         ContiguousSet.create(Range.atMost(Integer.MAX_VALUE), integers()));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     ContiguousSet<Integer> empty = ContiguousSet.create(Range.closedOpen(1, 1), integers());
     assertTrue(empty instanceof EmptyContiguousSet);
@@ -388,7 +385,7 @@ public class ContiguousSetTest extends TestCase {
     assertEquals(ImmutableList.of(1, 2, 3), ImmutableList.copyOf(list.toArray(new Integer[0])));
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static class BuiltTests extends TestCase {
     public static Test suite() {
       TestSuite suite = new TestSuite();
diff --git a/android/guava-tests/test/com/google/common/collect/CountTest.java b/android/guava-tests/test/com/google/common/collect/CountTest.java
index 0eff420..a523a56 100644
--- a/android/guava-tests/test/com/google/common/collect/CountTest.java
+++ b/android/guava-tests/test/com/google/common/collect/CountTest.java
@@ -14,7 +14,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.TestCase;
 
 /**
@@ -22,7 +21,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public class CountTest extends TestCase {
   public void testGet() {
     assertEquals(20, new Count(20).get());
diff --git a/android/guava-tests/test/com/google/common/collect/DiscreteDomainTest.java b/android/guava-tests/test/com/google/common/collect/DiscreteDomainTest.java
index b9e15fd..6ad4ddd 100644
--- a/android/guava-tests/test/com/google/common/collect/DiscreteDomainTest.java
+++ b/android/guava-tests/test/com/google/common/collect/DiscreteDomainTest.java
@@ -18,7 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.testing.SerializableTester.reserializeAndAssert;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.math.BigInteger;
 import junit.framework.TestCase;
 
@@ -27,7 +26,7 @@ import junit.framework.TestCase;
  *
  * @author Chris Povirk
  */
-@GwtIncompatible // SerializableTester
+// SerializableTester
 public class DiscreteDomainTest extends TestCase {
   public void testSerialization() {
     reserializeAndAssert(DiscreteDomain.integers());
diff --git a/android/guava-tests/test/com/google/common/collect/EmptyImmutableTableTest.java b/android/guava-tests/test/com/google/common/collect/EmptyImmutableTableTest.java
index 4fb26e6..70a7655 100644
--- a/android/guava-tests/test/com/google/common/collect/EmptyImmutableTableTest.java
+++ b/android/guava-tests/test/com/google/common/collect/EmptyImmutableTableTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.EqualsTester;
 
 /**
@@ -25,7 +23,6 @@ import com.google.common.testing.EqualsTester;
  *
  * @author Gregory Kick
  */
-@GwtCompatible(emulated = true)
 public class EmptyImmutableTableTest extends AbstractImmutableTableTest {
   private static final ImmutableTable<Character, Integer, String> INSTANCE = ImmutableTable.of();
 
@@ -48,7 +45,7 @@ public class EmptyImmutableTableTest extends AbstractImmutableTableTest {
         .testEquals();
   }
 
-  @GwtIncompatible // ArrayTable
+  // ArrayTable
   public void testEqualsObjectNullValues() {
     new EqualsTester()
         .addEqualityGroup(INSTANCE)
diff --git a/android/guava-tests/test/com/google/common/collect/EnumBiMapTest.java b/android/guava-tests/test/com/google/common/collect/EnumBiMapTest.java
index 25b057a..10d21d3 100644
--- a/android/guava-tests/test/com/google/common/collect/EnumBiMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/EnumBiMapTest.java
@@ -19,8 +19,6 @@ package com.google.common.collect;
 import static com.google.common.collect.testing.Helpers.orderEntriesByKey;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.features.CollectionFeature;
@@ -47,7 +45,6 @@ import junit.framework.TestSuite;
  * @author Mike Bostock
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class EnumBiMapTest extends TestCase {
   private enum Currency {
     DOLLAR,
@@ -109,7 +106,7 @@ public class EnumBiMapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
@@ -285,13 +282,13 @@ public class EnumBiMapTest extends TestCase {
     assertEquals(3, uniqueEntries.size());
   }
 
-  @GwtIncompatible // serialization
+  // serialization
   public void testSerializable() {
     SerializableTester.reserializeAndAssert(
         EnumBiMap.create(ImmutableMap.of(Currency.DOLLAR, Country.CANADA)));
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(EnumBiMap.class);
     new NullPointerTester()
diff --git a/android/guava-tests/test/com/google/common/collect/EnumHashBiMapTest.java b/android/guava-tests/test/com/google/common/collect/EnumHashBiMapTest.java
index 2a78f55..a55420a 100644
--- a/android/guava-tests/test/com/google/common/collect/EnumHashBiMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/EnumHashBiMapTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -40,7 +38,6 @@ import junit.framework.TestSuite;
  *
  * @author Mike Bostock
  */
-@GwtCompatible(emulated = true)
 public class EnumHashBiMapTest extends TestCase {
   private enum Currency {
     DOLLAR,
@@ -102,7 +99,7 @@ public class EnumHashBiMapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
@@ -216,12 +213,12 @@ public class EnumHashBiMapTest extends TestCase {
     assertEquals(3, uniqueEntries.size());
   }
 
-  @GwtIncompatible // serialize
+  // serialize
   public void testSerializable() {
     SerializableTester.reserializeAndAssert(EnumHashBiMap.create(Currency.class));
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(EnumHashBiMap.class);
     new NullPointerTester().testAllPublicInstanceMethods(EnumHashBiMap.create(Currency.class));
diff --git a/android/guava-tests/test/com/google/common/collect/EnumMultisetTest.java b/android/guava-tests/test/com/google/common/collect/EnumMultisetTest.java
index 265db21..6642a6e 100644
--- a/android/guava-tests/test/com/google/common/collect/EnumMultisetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/EnumMultisetTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.AnEnum;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -41,10 +39,9 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class EnumMultisetTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
@@ -133,7 +130,7 @@ public class EnumMultisetTest extends TestCase {
     assertEquals("[BLUE x 3, RED x 2, YELLOW]", ms.toString());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerializable() {
     Multiset<Color> ms = EnumMultiset.create(asList(Color.RED, Color.YELLOW, Color.RED));
     assertEquals(ms, SerializableTester.reserialize(ms));
@@ -159,7 +156,7 @@ public class EnumMultisetTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testEquals() throws Exception {
     new ClassSanityTester()
         .setDistinctValues(Class.class, Color.class, Gender.class)
@@ -168,7 +165,7 @@ public class EnumMultisetTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNulls() throws Exception {
     new NullPointerTester()
         .setDefault(Class.class, Color.class)
diff --git a/android/guava-tests/test/com/google/common/collect/EvictingQueueTest.java b/android/guava-tests/test/com/google/common/collect/EvictingQueueTest.java
index 05fdbd0..3c70178 100644
--- a/android/guava-tests/test/com/google/common/collect/EvictingQueueTest.java
+++ b/android/guava-tests/test/com/google/common/collect/EvictingQueueTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
 import java.util.AbstractList;
@@ -30,7 +28,6 @@ import junit.framework.TestCase;
  *
  * @author Kurt Alfred Kluever
  */
-@GwtCompatible(emulated = true)
 public class EvictingQueueTest extends TestCase {
 
   public void testCreateWithNegativeSize() throws Exception {
@@ -187,7 +184,7 @@ public class EvictingQueueTest extends TestCase {
     assertTrue(queue.isEmpty());
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(EvictingQueue.class);
diff --git a/android/guava-tests/test/com/google/common/collect/FilteredMultimapTest.java b/android/guava-tests/test/com/google/common/collect/FilteredMultimapTest.java
index 0e5e265..17325eb 100644
--- a/android/guava-tests/test/com/google/common/collect/FilteredMultimapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/FilteredMultimapTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Predicate;
 import java.util.Arrays;
 import java.util.Map.Entry;
@@ -27,7 +26,7 @@ import junit.framework.TestCase;
  *
  * @author Jared Levy
  */
-@GwtIncompatible // nottested
+// nottested
 public class FilteredMultimapTest extends TestCase {
 
   private static final Predicate<Entry<String, Integer>> ENTRY_PREDICATE =
diff --git a/android/guava-tests/test/com/google/common/collect/FluentIterableTest.java b/android/guava-tests/test/com/google/common/collect/FluentIterableTest.java
index e623f31..177a6ab 100644
--- a/android/guava-tests/test/com/google/common/collect/FluentIterableTest.java
+++ b/android/guava-tests/test/com/google/common/collect/FluentIterableTest.java
@@ -20,8 +20,6 @@ import static com.google.common.collect.Lists.newArrayList;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Functions;
 import com.google.common.base.Joiner;
@@ -40,17 +38,15 @@ import java.util.SortedSet;
 import java.util.concurrent.TimeUnit;
 import junit.framework.AssertionFailedError;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Unit test for {@link FluentIterable}.
  *
  * @author Marcin Mikosik
  */
-@GwtCompatible(emulated = true)
 public class FluentIterableTest extends TestCase {
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(FluentIterable.class);
@@ -361,7 +357,7 @@ public class FluentIterableTest extends TestCase {
 
   private static class HasBoth extends TypeA implements TypeB {}
 
-  @GwtIncompatible // Iterables.filter(Iterable, Class)
+  // Iterables.filter(Iterable, Class)
   public void testFilterByType() throws Exception {
     HasBoth hasBoth = new HasBoth();
     FluentIterable<TypeA> alist =
diff --git a/android/guava-tests/test/com/google/common/collect/ForMapMultimapAsMapImplementsMapTest.java b/android/guava-tests/test/com/google/common/collect/ForMapMultimapAsMapImplementsMapTest.java
index 402410b..918554c 100644
--- a/android/guava-tests/test/com/google/common/collect/ForMapMultimapAsMapImplementsMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ForMapMultimapAsMapImplementsMapTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.MapInterfaceTest;
 import java.util.Collection;
 import java.util.Map;
@@ -27,7 +26,6 @@ import java.util.Map;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public class ForMapMultimapAsMapImplementsMapTest extends AbstractMultimapAsMapImplementsMapTest {
 
   public ForMapMultimapAsMapImplementsMapTest() {
diff --git a/android/guava-tests/test/com/google/common/collect/ForwardingSortedMapImplementsMapTest.java b/android/guava-tests/test/com/google/common/collect/ForwardingSortedMapImplementsMapTest.java
index b694d5d..404d070 100644
--- a/android/guava-tests/test/com/google/common/collect/ForwardingSortedMapImplementsMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ForwardingSortedMapImplementsMapTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.MapInterfaceTest;
 import com.google.common.collect.testing.SortedMapInterfaceTest;
 import java.util.SortedMap;
@@ -27,7 +26,6 @@ import java.util.TreeMap;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public class ForwardingSortedMapImplementsMapTest extends SortedMapInterfaceTest<String, Integer> {
 
   private static class SimpleForwardingSortedMap<K, V> extends ForwardingSortedMap<K, V> {
diff --git a/android/guava-tests/test/com/google/common/collect/ForwardingSortedMultisetTest.java b/android/guava-tests/test/com/google/common/collect/ForwardingSortedMultisetTest.java
index d0673f1..2e7b807 100644
--- a/android/guava-tests/test/com/google/common/collect/ForwardingSortedMultisetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ForwardingSortedMultisetTest.java
@@ -30,7 +30,6 @@ import java.util.NavigableSet;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Tests for {@link ForwardingSortedMultiset}.
diff --git a/android/guava-tests/test/com/google/common/collect/GeneralRangeTest.java b/android/guava-tests/test/com/google/common/collect/GeneralRangeTest.java
index dfa73d6..9defcde 100644
--- a/android/guava-tests/test/com/google/common/collect/GeneralRangeTest.java
+++ b/android/guava-tests/test/com/google/common/collect/GeneralRangeTest.java
@@ -17,8 +17,6 @@ package com.google.common.collect;
 import static com.google.common.collect.BoundType.CLOSED;
 import static com.google.common.collect.BoundType.OPEN;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Objects;
 import com.google.common.testing.NullPointerTester;
 import java.util.Arrays;
@@ -30,7 +28,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class GeneralRangeTest extends TestCase {
   private static final Ordering<Integer> ORDERING = Ordering.natural().nullsFirst();
 
@@ -219,7 +216,7 @@ public class GeneralRangeTest extends TestCase {
         GeneralRange.range(ORDERING, 3, CLOSED, 5, OPEN).reverse());
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     new NullPointerTester().testAllPublicStaticMethods(GeneralRange.class);
   }
diff --git a/android/guava-tests/test/com/google/common/collect/HashBasedTableTest.java b/android/guava-tests/test/com/google/common/collect/HashBasedTableTest.java
index 8a608ae..914e0bd 100644
--- a/android/guava-tests/test/com/google/common/collect/HashBasedTableTest.java
+++ b/android/guava-tests/test/com/google/common/collect/HashBasedTableTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
 
@@ -28,7 +26,6 @@ import com.google.common.testing.SerializableTester;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class HashBasedTableTest extends AbstractTableTest {
 
   @Override
@@ -91,13 +88,13 @@ public class HashBasedTableTest extends AbstractTableTest {
     assertEquals((Character) 'a', copy.get("foo", 1));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     table = create("foo", 1, 'a', "bar", 1, 'b', "foo", 3, 'c');
     SerializableTester.reserializeAndAssert(table);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerStatic() {
     new NullPointerTester().testAllPublicStaticMethods(HashBasedTable.class);
   }
